Admins - Demande #4481

admin:/var se remplit vite
12/05/2020 14:41 - Christian P. Momon

Statut: Fermé Début: 12/05/2020
Priorité: Urgente Echéance:

Assigné a: Christian P. Momon % réalisé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible: Mai 2020 Temps passé: 0.00 heure
Difficulté: 2 Facile

Description

Actuellement (12/05/2020) :

(April) root@admin:/var# df -h .

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur

/dev/mapper/vg_admin-var 4,6G

3,9G 468M 90% /var

(April) root@admin:/var# du —-sch backups/influxdb

479M backups/influxdb
479M total

(April) root@admin:/var# du -sch spool/icinga2/

810M spool/icinga2/
810M total

Suite au ticket #4469, 1 Go a été ajouté dans admin:/var il y a 3 jours.

A ce rythme, ca fait dans les 200 Mo de plus par jour. Donc le /var devrait étre plein dans 2 ou 3 jours.

Que faire ?

e agrandir encore le /var (8 Go de disponible dansle vg) ?
e configurer Icinga2 ou Grafana pour limiter I'espace disque ?
https://redmine.april.org/issues/4469
Demandes liées:
Lié a Admins - Anomalie #4469: admin:/var plein

Fermé

09/05/2020

Historique

#1 - 12/05/2020 14:41 - Christian P. Momon

- Lié a Anomalie #4469: admin:/var plein ajouté

#2 - 12/05/2020 14:42 - Christian P. Momon

- Sujet changé de admin:/var se rempli vite a admin:/var se remplit vite

#3 - 12/05/2020 15:35 - Francois Poulain

Coté chaprilon a :

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
/dev/mapper/modele--vg-var 15G 5,86 7,8G 43% /var

Essentiellement dans /var/lib/graphite.

Coté april je n'ai pas regardé de prés mais c'est depuis qu'on a des graphes que var se rempli. Pour info icinga2 tourne a plein depuis décembre.
Ca me semble légitime qu'il leur faille a chacun qq gigos.

On peut en paralléle vérifier que les volumes occupés sont utiles (pas une térachiée de logs du a une conf oubliée).
On peut aussi s'attendre a ce que la croissance ne soit pas linéaire une fois la chose en régime permanent.

#4 - 12/05/2020 15:58 - Christian P. Momon

- Statut changé de Nouveau a Résolu

- Assigné a mis a Christian P. Momon

Effectivement, on ne doit pas étre étonné que ce genre de service consomme de I'espace disque. On doit se poser la question de combien on veut lui
laisser consommer.

Partons sur un cycle mensuel dont on vient de faire 10 jours, il reste 20 jours a 200 Mo/j donc 4 Go, arrondissons a 5 Go.

Partition admin:/var augmentée de 5 Go, pour voir. Point a refaire en juin :-)

Les actions :

(April) root@admin:/var# lvextend -L+5G /dev/vg_admin/var
Size of logical volume vg_admin/var changed from 4,72 GiB (1209 extents) to 9,72 GiB (2489 extents).
Logical volume vg_admin/var successfully resized.

(April) root@admin:/var# resize2fs /dev/vg_admin/var

resize2fs 1.44.5 (15-Dec-2018)

Filesystem at /dev/vg_admin/var is mounted on /var; on-line resizing required

old_desc_blocks = 1, new_desc_blocks =1

The filesystem on /dev/vg_admin/var is now 2548736 (4k) blocks long.

(April) root@admin:/var# df -h

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
/dev/mapper/vg_admin-var 9, 6G 3,96 5,2G 43% /var

(April) root@admin:/var# vgdisplay |grep Free
Free PE / Size 962 / <3,76 GiB

#5 - 27/05/2020 21:54 - Quentin Gibeaux

- Statut changé de Résolu a Fermé

Fichiers

adminvarplein2.png 51,4 ko 12/05/2020 Christian P. Momon
